## GcalApplication GcalApplication |

## Functions

GcalApplication * | gcal_application_new ()
GcalManager * | gcal_application_get_manager ()
void | gcal_application_set_uuid ()
void | gcal_application_set_initial_date ()

## Types and Values

#define | GCAL_TYPE_APPLICATION
| GcalApplication

## Object Hierarchy

        GObject
        ╰── GApplication
            ╰── GtkApplication
                ╰── GcalApplication

## Implemented Interfaces

GcalApplication implements GActionGroup and GActionMap.

## Description

## Functions

### gcal_application_new ()

    GcalApplication *
    gcal_application_new (void);

### gcal_application_get_manager ()

    GcalManager *
    gcal_application_get_manager (GcalApplication *self);

Retrieves the GcalManager of the application.

#### Parameters

self | a GcalApplication |

#### Returns

a GcalManager.

[transfer none]

### gcal_application_set_uuid ()

    void
    gcal_application_set_uuid (GcalApplication *self,
                               const gchar *app_uuid);

### gcal_application_set_initial_date ()

    void
    gcal_application_set_initial_date (GcalApplication *self,
                                       GDateTime *initial_date);

## Types and Values

### GCAL_TYPE_APPLICATION

    #define GCAL_TYPE_APPLICATION                                    (gcal_application_get_type ())

### GcalApplication

    typedef struct _GcalApplication GcalApplication;